<img src="https://github.com/goodrain/rainbond/blob/master/docs/rainbond_logo.png" width="100%">

[![Go Report Card](https://goreportcard.com/badge/github.com/goodrain/rainbond)](https://goreportcard.com/report/github.com/goodrain/rainbond) 
[![GitHub stars](https://img.shields.io/github/stars/goodrain/rainbond.svg?style=flat-square)](https://github.com/goodrain/rainbond/stargazers)
![Rainbond version](https://img.shields.io/badge/version-v3.5-brightgreen.svg)
[![Build Status](https://travis-ci.org/goodrain/rainbond.svg?branch=master)](https://travis-ci.org/goodrain/rainbond)
[![GoDoc](https://godoc.org/github.com/goodrain/rainbond?status.svg)](https://godoc.org/github.com/goodrain/rainbond)


[Website](http://www.rainbond.com) • [Docs](https://www.rainbond.com/docs/stable/) • [Public Cloud](https://sso.goodrain.com/#/login/https%3A%2F%2Fwww.goodrain.com%2F%23%2Findex) • [中文README](https://github.com/goodrain/rainbond/blob/V3.6/readme_zh.md)

**Rainbond** is an application-centric Platform as a Service, with innovative concept and complete ecological comes from continuous verification and optimization.

By integrating best practices of Kubernetes based containers management, Service Mesh microservice architecture, CI/CD and multiple data center resource management, Rainbond provides full life-cycle management of cloud native applications, connects application and infrastructure, application and application, infrastructure and infrastructure.

Choose Rainbond for the same reasons disruptive companies do: it serve as a easy-to-use cloud native application delivery platform that offers agile development, efficient operation and lean management experience. 

## Features

* Kubernetes scheduling system intergated
* Application-centric console
* Supports multiple microservice architecture (Spring Cloud, Dubbo and api gateway)
* Native microservice governance (service discovery, dynamic routing, limiting and fuse) based on extendable Service Mesh 
* Business-level application performance analysis supports multiple types protocols (HTTP, Mysql, PostgreSQL)
* Build applications from source codeS (Java, PHP, Python, Golang, Ruby, etc.)
* Continuous build and deployment from private and public git repositories
* Quick application build with container image, docker-run command and docker-compose
* Pluggable data center supports various types of load balancing, SDN networks, various types of storage systems development
* Public and private application market with complete application sharing mechanism
* Multiple data center and across data center application deployment
* The management node (platform service) HA available.
* Compute cluster automation management, scale on demand, complete node monitoring.

## Quick Start

1. [Install Rainbond](http://www.rainbond.com/docs/stable/getting-started/pre-install.html)
2. [Create First Application](http://www.rainbond.com/docs/stable/user-app-docs/addapp/addapp-code.html)
3. [Build Microservice Architecture](http://www.rainbond.com/docs/stable/user-app-docs/addapp/addapp-cloud_framework.html)

## Architecture

<img src="https://github.com/goodrain/rainbond/blob/master/docs/rainbond_architecture.png" href="http://www.rainbond.com/docs/stable/getting-started/architecture.html">

## Roadmap

Read the [Roadmap](https://github.com/goodrain/rainbond-docs/blob/master/v3.6/roadmap.md).

## Control UI

<img src="./docs/buildfromsourcecode.gif" href="http://www.rainbond.com/docs/stable">

* Source code creation application process

<img src="./docs/topology.gif" href="http://www.rainbond.com/docs/stable">

* Business application group topology diagram,The network topology, applied relational topology and real-time monitoring are shown here.

## Contributing

Please read [CONTRIBUTING](https://github.com/goodrain/rainbond/blob/master/CONTRIBUTING.md) to learn how you can start working on the Framework yourself.

## Community

* WeChat: add WeChat ID "**zqg5258423**" to join Rainbond WeChat group

## License

Rainbond is under the LGPL-3.0 license, see [LICENSE](https://github.com/goodrain/rainbond/blob/master/LICENSE) and [Licensing](https://github.com/goodrain/rainbond/blob/master/Licensing.md) for details.

## Acknowledgment

Thanks for the following open source project

* [kubernetes](https://github.com/kubernetes/kubernetes)
* [docker/moby](https://github.com/moby/moby)
* [heroku buildpack](https://github.com/heroku)
* [openresty](https://github.com/openresty/)
* [calico](https://github.com/projectcalico)
* [midonet](https://github.com/midonet/midonet)
* [etcd](https://github.com/coreos/etcd)
* [prometheus](https://github.com/prometheus/prometheus)
* [glusterfs](https://github.com/gluster/glusterfs)
* [ceph](https://github.com/ceph/ceph)
* [cockroachDB](https://github.com/cockroachdb/cockroach)
* [mysql](https://github.com/mysqljs/mysql)
* [Weave Scope](https://github.com/weaveworks/scope)
* [Ant Design](https://github.com/ant-design/ant-design)
